<?php
function reflector_reset_default_templates( $data ) {
	return array();
}
add_filter( 'vc_load_default_templates', 'reflector_reset_default_templates' );
function reflector_vc_templates(){
	$templates = array();


	//Category About
//	About (Simple)
	$data = array();
	$data['name'] = esc_html__( 'About (Simple)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/about/simple.jpg' );
	$data['sort_name'] = 'About';
	$data['custom_class'] = 'general about';
	$data['content'] = <<<CONTENT
[vc_row desctop_mt="margin-lg-100t" desctop_mb="margin-lg-115b" desctop_md_mb="margin-md-85b" tablets_mb="margin-sm-75b" mobile_mb="margin-xs-45b" css=".vc_custom_1555424125851{margin-top: -105px !important;}"][vc_column desctop_md_mt="margin-md-165t" tablets_mt="margin-sm-150t" mobile_mt="margin-xs-115t"][cs_about style="simple" btn_style="a-btn-2" title="HI, I'M REFLECTOR" description="Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam leo sem, feugiat ut tincidunt a, vulputate sed mauris. Proin fringilla risus ut gravida ultrices. Ut mollis vel felis in sollicitudin. Nam vitae purus lectus. Maecenas aliquam, neque in viverra dapibus, quam dolor commodo dolor.

Ut ac quam ante. Curabitur sollicitudin scelerisque est, eu commodo libero ornare in. Nam ac nunc sed dui semper vestibulum nec in nisi. Maecenas at sagittis justo, a interdum turpis." button="url:http%3A%2F%2Fw7.foxthemes.me%2Freflector%2Fabout-me%2F|title:learn%20more||" image="2385"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;



	//Category About
//	About (Modern)
	$data = array();
	$data['name'] = esc_html__( 'About (Modern)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/about/modern.jpg' );
	$data['sort_name'] = 'About';
	$data['custom_class'] = 'general about';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-85b" desctop_md_mb="margin-md-60b" tablets_mb="margin-sm-45b" mobile_mb="margin-xs-45b"][vc_column][cs_about style="modern" socials="%5B%7B%22icon%22%3A%22fab%20fa-facebook-f%22%2C%22url%22%3A%22https%3A%2F%2Fwww.facebook.com%2F%22%7D%2C%7B%22icon%22%3A%22fab%20fa-twitter%22%2C%22url%22%3A%22https%3A%2F%2Ftwitter.com%2F%22%7D%2C%7B%22icon%22%3A%22fab%20fa-instagram%22%2C%22url%22%3A%22https%3A%2F%2Fwww.instagram.com%2F%22%7D%5D" items="%5B%7B%22title%22%3A%22PRESS%22%2C%22custom_links%22%3A%22%255B%257B%2522link%2522%253A%2522url%253Ahttp%25253A%25252F%25252Fw7.foxthemes.me%25252Freflector%25252Fshoot-beyond-like-never-before%25252F%257Ctitle%253AShoot%252520Beyond%252520like%252520never%252520before%257C%257C%2522%257D%252C%257B%2522link%2522%253A%2522url%253Ahttp%25253A%25252F%25252Fw7.foxthemes.me%25252Freflector%25252Fphotoshooting-trip-to-amsterdam%25252F%257Ctitle%253AShoot%252520Beyond%252520like%252520never%252520before%257C%257C%2522%257D%252C%257B%2522link%2522%253A%2522url%253Ahttp%25253A%25252F%25252Fw7.foxthemes.me%25252Freflector%25252Fhow-to-make-best-photo%25252F%257Ctitle%253AHow%252520to%252520make%252520best%252520photo%257C%257C%2522%257D%255D%22%7D%2C%7B%22title%22%3A%22AWARDS%22%2C%22custom_links%22%3A%22%255B%257B%2522link%2522%253A%2522url%253A%252523%257Ctitle%253AInternational%252520Photography%252520Award%257C%257C%2522%257D%252C%257B%2522link%2522%253A%2522url%253A%252523%257Ctitle%253AThe%252520Good%252520Design%252520Award%257C%257C%2522%257D%255D%22%7D%2C%7B%22title%22%3A%22COLLABORATORS%22%2C%22description%22%3A%22The%20New%20York%20Times%2C%20Apple%2C%20Wired%2C%20Cosmopolitan%2C%20The%20Atlantic%2C%20The%20Undefeated%2C%20Fast%20Company%2C%20Washington%20Post%2C%20Slate%2C%20Texas%20Monthly%20Magazine%2C%20Red%20Music%20Academy%2C%20LA%20Magazine.%22%2C%22custom_links%22%3A%22%255B%257B%257D%255D%22%7D%5D" form_btn_style="btn-style-6" title="ABOUT ME" description="We are fine-art, campaign &amp;amp; portrait film photographers from Oregon, with a special love for natural light, medium format film cameras &amp;amp; redheads with freckles. I am interested in the details about your wedding, your ceremony &amp;amp; reception venues, your vision, your dress, your colours and anything else you would like to share with me." image="996" contact_title="CONTACT" address="231 Main Street Chicago, IL" phone="3122299000" form_title="CONTACT ME" form="998"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;



	//Category About
//	About (Classic)
	$data = array();
	$data['name'] = esc_html__( 'About (Classic)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/about/classic.jpg' );
	$data['sort_name'] = 'About';
	$data['custom_class'] = 'general about';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_mb="margin-lg-0b" desctop_md_mb="margin-md-0b" tablets_mb="margin-sm-0b" mobile_mb="margin-xs-0b" el_id="about"][vc_column][cs_about style="classic" btn_style="a-btn-6" full_height_row="true" title="GET TO KNOW ME BETTER" subtitle="GET TO KNOW ME" description="I’m a trend setter, an adventurer, a photographer! I love experiments and personal projects. Finding new perspectives and breathing in new life into old boring scenes is what inspires and gets me excited!" blockquote="Cum sociis natoque penatibus et magnis disrient" button="url:http%3A%2F%2Fwp.foxthemes.me%2Freflector%2Fcontact-us%2F|title:CONTACT%20US||" images="35,36,37"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banner
//	Image Banner (Modern)
	$data = array();
	$data['name'] = esc_html__( 'Image Banner (Modern)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/banner/modern.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_banner overlay="true" title="PHOTOGRAPHY STUDIO" subtitle="REFLECTOR" bg_image="133" description="New York studio and outdoor commercial photography by professional photographer" button="url:%23|title:See%20more||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banner
//	Image Banner (Creative)
	$data = array();
	$data['name'] = esc_html__( 'Image Banner (Creative)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/banner/creative.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_banner style="creative" overlay="true" subtitle="WEDDING PHOTOGRAPHY STUDIO" title="REFLECTOR" bg_image="583"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banner
//	Image Banner (Simple)
	$data = array();
	$data['name'] = esc_html__( 'Image Banner (Simple)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/banner/simple.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_mb="margin-lg-120b" desctop_md_mb="margin-md-100b" tablets_mb="margin-sm-80b" mobile_mb="margin-xs-50b" desctop_lg_pb="padding-lg-0b"][vc_column][cs_banner style="simple" enable_btn="true" overlay="true" title="MODELS" bg_image="721"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banner
//	Image Banner (Full Wall)
	$data = array();
	$data['name'] = esc_html__( 'Image Banner (Full Wall)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/banner/full-wall.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_banner style="full_wall" animation_text="life.,action.,emotion." title="Hi. I am a photographer. I capture" images="269,267,265,263,261,259,257,255,253,251,246,242,239,232,228,225,181,151,294,130,35,39,295,42,285,286,287,288,293,289,290,292,18,46,66,305,346,16,69"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banner
//	Image Banner (Bottom Text)
	$data = array();
	$data['name'] = esc_html__( 'Image Banner (Bottom Text)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/banner/bottom_text.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_banner style="bottom_text" overlay="true" title="IT'S ALL ABOUT THE
SHOOTING EXPERIENCE" bg_image="2383"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banner
//	Image Banner (Only Image)
	$data = array();
	$data['name'] = esc_html__( 'Image Banner (Only Image)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/banner/only_image.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_banner style="only_image" overlay="true" bg_image="1362" title="CLIENTS"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banner
//	Image Banner (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Image Banner (Classic)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/banner/classic.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_banner style="classic" overlay="true" subtitle="Know Me Better" title="ABOUT ME" bg_image="954"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banner Slider
//	Banner Slider (Simple)
	$data = array();
	$data['name'] = esc_html__( 'Banner Slider (Simple)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/banner_slider/simple_slider.jpg' );
	$data['sort_name'] = 'Banner slider';
	$data['custom_class'] = 'general banner-slider';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_mt="margin-lg-0t" desctop_mb="margin-lg-0b" desctop_lg_pt="padding-lg-0t" desctop_lg_pb="padding-lg-0b"][vc_column][banner_slider type_slider="simple_slider" autoplay="600000"][banner_slider_items option_style="simple_slider" subtitle="for couples" title="Another way" btn_style="a-btn-5" image="259" button="url:http%3A%2F%2Fw7.foxthemes.me%2Freflector%2Fabout-us%2F|title:Read%20More||"][banner_slider_items option_style="simple_slider" subtitle="for models" title="Human feel" btn_style="a-btn-5" image="232" button="url:http%3A%2F%2Fw7.foxthemes.me%2Freflector%2Fabout-us%2F|title:Read%20More||"][banner_slider_items option_style="simple_slider" subtitle="for travels" title="Ocean song" btn_style="a-btn-5" image="251" button="url:http%3A%2F%2Fw7.foxthemes.me%2Freflector%2Fabout-us%2F|title:Read%20More||"][banner_slider_items option_style="simple_slider" subtitle="for pleasure" title="Golden place" btn_style="a-btn-5" image="228" button="url:http%3A%2F%2Fw7.foxthemes.me%2Freflector%2Fabout-us%2F|title:Read%20More||"][/banner_slider][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banner Slider
//	Banner Slider (Photography Slider)
	$data = array();
	$data['name'] = esc_html__( 'Banner Slider (Photography Slider)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/banner_slider/photography.jpg' );
	$data['sort_name'] = 'Banner slider';
	$data['custom_class'] = 'general banner-slider';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_mt="margin-lg-0t" desctop_mb="margin-lg-0b" el_id="banner"][vc_column][banner_slider type_slider="photography"][banner_slider_items option_style="photography" subtitle="WELCOME TO REFLECTOR WORLD" title="INSPIRATION" text="BEING SEARCH OF MEANING" pagination_title="HAPPY ENDING" btn_style="a-btn-5" image="16" button="url:http%3A%2F%2Fwp.foxthemes.me%2Freflector%2Fabout-us%2F|title:READ%20MORE||"][banner_slider_items option_style="photography" subtitle="WELCOME TO REFLECTOR WORLD" title="NATURE" text="BEING SEARCH OF MEANING" pagination_title="PHOTOGRAPHY" btn_style="a-btn-5" image="43" button="url:http%3A%2F%2Fwp.foxthemes.me%2Freflector%2Fabout-us%2F|title:READ%20MORE||"][banner_slider_items option_style="photography" subtitle="WELCOME TO REFLECTOR WORLD" title="PHOTOGRAPHY" text="BEING SEARCH OF MEANING" pagination_title="HAPPINESS" btn_style="a-btn-5" image="44" button="url:http%3A%2F%2Fwp.foxthemes.me%2Freflector%2Fabout-us%2F|title:READ%20MORE||"][/banner_slider][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Banner Slider
//	Banner Slider (Andra Slider)
	$data = array();
	$data['name'] = esc_html__( 'Banner Slider (Andra Slider)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/banner_slider/andra.jpg' );
	$data['sort_name'] = 'Banner slider';
	$data['custom_class'] = 'general banner-slider';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_mb="margin-lg-110b" desctop_md_mb="margin-md-90b" tablets_mb="margin-sm-80b" mobile_mb="margin-xs-40b"][vc_column][banner_slider type_slider="andra"][banner_slider_items option_style="andra" image="816"][banner_slider_items option_style="andra" image="817"][banner_slider_items option_style="andra" image="818"][banner_slider_items option_style="andra" image="815"][/banner_slider][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Buttons
//	Buttons (Light Modern)
	$data = array();
	$data['name'] = esc_html__( 'Buttons (Light Modern)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/buttons/a-btn-1.jpg' );
	$data['sort_name'] = 'Buttons';
	$data['custom_class'] = 'general buttons';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_mb="margin-lg-80b" desctop_md_mb="margin-md-60b" tablets_mb="margin-sm-40b" mobile_mb="margin-xs-10b" css=".vc_custom_1555590098132{background-color: #000000 !important;}"][vc_column desctop_mt="margin-lg-0t" desctop_mb="margin-lg-30b"][cs_button btn_align="text-center" button="url:%23|title:See%20more||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Buttons
//	Buttons (Dark Modern)
	$data = array();
	$data['name'] = esc_html__( 'Buttons (Dark Modern)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/buttons/a-btn-2.jpg' );
	$data['sort_name'] = 'Buttons';
	$data['custom_class'] = 'general buttons';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-105b" desctop_md_mb="margin-md-90b" tablets_mb="margin-sm-80b" mobile_mb="margin-xs-50b"][vc_column][cs_button btn_style="a-btn-2" btn_align="text-center" button="url:%23|title:See%20more||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Buttons
//	Buttons (Dark Button)
	$data = array();
	$data['name'] = esc_html__( 'Buttons (Dark Button)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/buttons/a-btn-3.jpg' );
	$data['sort_name'] = 'Buttons';
	$data['custom_class'] = 'general buttons';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-110b" desctop_md_mb="margin-md-90b" tablets_mb="margin-sm-80b" mobile_mb="margin-xs-50b"][vc_column][cs_button btn_style="a-btn-3" btn_align="text-center" button="url:%23|title:See%20more||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Buttons
//	Buttons (White Transparent)
	$data = array();
	$data['name'] = esc_html__( 'Buttons (White Transparent)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/buttons/a-btn-5.jpg' );
	$data['sort_name'] = 'Buttons';
	$data['custom_class'] = 'general buttons';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" css=".vc_custom_1555590125302{background-color: #000000 !important;}"][vc_column desctop_mt="margin-lg-0t" desctop_mb="margin-lg-30b"][cs_button btn_style="a-btn-5" btn_align="text-center" button="url:%23|title:See%20more||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Buttons
//	Buttons (Dark Transparent)
	$data = array();
	$data['name'] = esc_html__( 'Buttons (Dark Transparent)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/buttons/a-btn-6.jpg' );
	$data['sort_name'] = 'Buttons';
	$data['custom_class'] = 'general buttons';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-110b" desctop_md_mb="margin-md-90b" tablets_mb="margin-sm-80b" mobile_mb="margin-xs-50b"][vc_column][cs_button btn_style="a-btn-6" btn_align="text-center" button="url:%23|title:See%20more||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Contacts
//	Contacts (Contact Info)
	$data = array();
	$data['name'] = esc_html__( 'Contacts (Contact Info)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/contacts/info.jpg' );
	$data['sort_name'] = 'Contacts';
	$data['custom_class'] = 'general contacts';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_lg_pt="padding-lg-120t" desctop_lg_pb="padding-lg-80b" desctop_pt="padding-md-90t" desctop_pb="padding-md-60b" tablets_pt="padding-sm-75t" tablets_pb="padding-sm-25b" mobile_pt="padding-xs-45t" mobile_pb="padding-xs-25b" css=".vc_custom_1555592040504{background-color: #f8f6f5 !important;}"][vc_column desctop_mb="margin-lg-40b" css=".vc_custom_1555591880413{padding-top: 0px !important;}"][cs_contacts style="info" addresses="%5B%7B%22title%22%3A%22PHOTOSTUDIO%22%2C%22address%22%3A%22231%20Main%20Street%20Chicago%2C%20IL%20%22%2C%22phone%22%3A%223122299000%22%7D%2C%7B%22title%22%3A%22OFFICE%22%2C%22address%22%3A%22231%20Main%20Street%20New%20York%2C%20IL%22%2C%22phone%22%3A%224122299000%22%7D%5D" title="IF YOU NEED TO MESSAGE US,
PLEASE FILL OUT THE FORM BELLOW"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Contacts
//	Contacts (Images With Form)
	$data = array();
	$data['name'] = esc_html__( 'Contacts (Images With Form)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/contacts/image_form.jpg' );
	$data['sort_name'] = 'Contacts';
	$data['custom_class'] = 'general contacts';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_lg_pt="padding-lg-120t" desctop_lg_pb="padding-lg-80b" desctop_pt="padding-md-90t" desctop_pb="padding-md-60b" tablets_pt="padding-sm-75t" tablets_pb="padding-sm-25b" mobile_pt="padding-xs-45t" mobile_pb="padding-xs-25b" css=".vc_custom_1543935660607{background-color: #f8f6f5 !important;}" el_id="contact"][vc_column css=".vc_custom_1538142350410{padding-top: 0px !important;}"][cs_contacts copy="Designed by © REFLECTOR Studio. All Right Reserved 2019" item_socials="%5B%7B%22text%22%3A%22FACEBOOK%22%2C%22url%22%3A%22https%3A%2F%2Fwww.facebook.com%2F%22%7D%2C%7B%22text%22%3A%22INSTAGRAM%22%2C%22url%22%3A%22http%3A%2F%2Finstagram.com%2F%22%7D%2C%7B%22text%22%3A%22TWITTER%22%2C%22url%22%3A%22https%3A%2F%2Ftwitter.com%2F%3Flang%3Den%22%7D%5D" btn_style="btn-style-6" form="95" images="97,35,99,48,69,75"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Call To Action
//	Call to action (Simple)
	$data = array();
	$data['name'] = esc_html__( 'Call to action (Simple)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/cta/simple.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general call-to-action';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-100b" desctop_md_mb="margin-md-80b" tablets_mb="margin-sm-60b" mobile_mb="margin-xs-40b"][vc_column][cs_cta title="FOR ANY ADDITIONAL QUESTIONS WE ARE HERE TO HELP." btn_style="a-btn-3" button="url:http%3A%2F%2Fw7.foxthemes.me%2Freflector%2Fcontact-us%2F|title:Contact%20Us||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Custom links
//	Custom links (Simple)
	$data = array();
	$data['name'] = esc_html__( 'Custom Links (Simple)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/custom_links/simple.jpg' );
	$data['sort_name'] = 'Custom links';
	$data['custom_class'] = 'general custom-links';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-95b" desctop_md_mb="margin-md-100b" tablets_mb="margin-sm-90b" mobile_mb="margin-xs-40b"][vc_column][cs_custom_links link_items="%5B%7B%22button%22%3A%22url%3Ahttp%253A%252F%252Fw7.foxthemes.me%252Freflector%252Fcontact-us%252F%7Ctitle%3APRODUCER%7C%7C%22%2C%22subtitle%22%3A%22STRONG%20MAN%22%7D%2C%7B%22button%22%3A%22url%3Ahttp%253A%252F%252Fw7.foxthemes.me%252Freflector%252Fcontact-us%252F%7Ctitle%3ASTYLIST%7C%7C%22%2C%22subtitle%22%3A%22BEAUTY%20GIRL%22%7D%2C%7B%22button%22%3A%22url%3Ahttp%253A%252F%252Fw7.foxthemes.me%252Freflector%252Fcontact-us-2%252F%7Ctitle%3AASSISTENT%7C%7C%22%2C%22subtitle%22%3A%22FAST%20MAN%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Custom links
//	Custom links (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Custom Links (Classic)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/custom_links/classic.jpg' );
	$data['sort_name'] = 'Custom links';
	$data['custom_class'] = 'general custom-links';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" desctop_lg_pb="padding-lg-120b" desctop_pb="padding-md-95b" tablets_pb="padding-sm-80b" mobile_pb="padding-xs-50b" css=".vc_custom_1554730827568{background-color: #222222 !important;}"][vc_column][cs_custom_links style="classic" link_items_classic="%5B%7B%22first_subtitle%22%3A%22WATCH%22%2C%22second_subtitle%22%3A%22APRIL%202019%22%2C%22title%22%3A%22LUCIE%20%26%20LEO%22%2C%22button%22%3A%22url%3Ahttps%253A%252F%252Fwww.youtube.com%252Fwatch%253Fv%253DtxNwby8qPlg%7Ctitle%3APlay%2520Video%7Ctarget%3A%2520_blank%7C%22%2C%22btn_style%22%3A%22a-btn-1%22%7D%2C%7B%22first_subtitle%22%3A%22VIEW%22%2C%22second_subtitle%22%3A%22MY%20VIDEO%22%2C%22title%22%3A%22SHOWCASE%22%2C%22button%22%3A%22url%3Ahttps%253A%252F%252Fwww.youtube.com%252Fwatch%253Fv%253DPWbSLgZWBhU%7Ctitle%3AVIEW%2520MORE%7Ctarget%3A%2520_blank%7C%22%2C%22btn_style%22%3A%22a-btn-1%22%7D%5D" light_style="true"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category FAQs
//	FAQs (Simple)
	$data = array();
	$data['name'] = esc_html__( 'FAQs (Simple)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/faqs/simple.jpg' );
	$data['sort_name'] = 'FAQs';
	$data['custom_class'] = 'general faqs';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" desctop_lg_pb="padding-lg-110b" desctop_pb="padding-md-85b" tablets_pb="padding-sm-70b" mobile_pb="padding-xs-40b" css=".vc_custom_1554730799998{background-color: #f8f6f5 !important;}"][vc_column][cs_faqs style="simple" items="%5B%7B%22question%22%3A%22%E2%80%94%20LOREM%20IPSUM%20DOLOR%20SITAMET%20%5CnCONSECTETUR%20ADIPISCING%20UN%20ELIT%20NISL%3F%22%2C%22answer%22%3A%22Duis%20aute%20irure%20dolor%20in%20reprehenderit%20in%20voluptate%20velit%20esse%20cillum%20dolore%20eu%20fugiat%20nulla%20pariatur.%20Excepteur%20sint%20occaecat%20cupidatat%20non%20proident%2C%20sunt%20in%20culpa%20qui%20officia%20deserunt%20mollit%20anim%20id%20est%20laborum.%20Curabitur%20aliquet%20quam%20id%20dui%20posuere%20blandit.%20%22%7D%2C%7B%22question%22%3A%22%E2%80%94%20MORBI%20A%20DICTUM%20SEM.%20PROIN%20NUNCE%20EROS%2C%20FEUGIATSAGITTIS%20UT%3F%22%2C%22answer%22%3A%22Curabitur%20aliquet%20quam%20id%20dui%20posuere%20blandit.%20Curabitur%20aliquet%20quam%20id%20dui%20posuere%20blandit.%20Nunc%20pellentesque%20elit%20eget%20mi%20finibus%20congue.%20Duis%20aute%20irure%20dolor%20in%20reprehenderit%20in%20voluptate%20velit%20esse%20cillum%20dolore%20eu%20fugiat%20nulla%20pariatur.%20%22%7D%2C%7B%22question%22%3A%22%E2%80%94%20CRAS%20SOLLICITUDIN%20TORTOR%20LEO%2CA%20%5CnULTRICIES%20NISL%20EFFICITUR%20EU%3F%22%2C%22answer%22%3A%22Orure%20dolor%20in%20reprehenderit%20in%20voluptate%20velit%20esse%20cillum%20dolore%20eu%20fugiat%20nulla%20pariatur.%20Excepteur%20sint%20occaecat%20cupidatat%20non%20proident%2C%20sunt%20in%20culpa%20qui%20officia%20deserunt%20mollit%20anim%20id%20est%20laborum.%20Curabitur%20aliquet%20quam%20id%20dui%20posuere%20blandit.%20%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Reflectory Gallery (Full Slider)
	$data = array();
	$data['name'] = esc_html__( 'Reflectory Gallery (Full Slider)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/galleries/full_slider.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_gallery type="full_slider" show_button="true" hide_menu="true" images="1756,1752,1753,1754,1760"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Reflectory Gallery (Adjusted Grid)
	$data = array();
	$data['name'] = esc_html__( 'Reflectory Gallery (Adjusted Grid)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/galleries/adjusted_grid.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row desctop_mt="margin-lg-15t" tablets_mt="margin-sm-0t"][vc_column][cs_gallery type="adjusted_grid" images="259,288,251,285,269,1782,1859,1781,1861,1379,1905,1906"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Reflectory Gallery (Animated Transitions)
	$data = array();
	$data['name'] = esc_html__( 'Reflectory Gallery (Animated Transitions)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/galleries/slider_transition.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_gallery type="slider_transition" images="1861,1860,1859,1862"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Reflectory Gallery (Creative Slider)
	$data = array();
	$data['name'] = esc_html__( 'Reflectory Gallery (Creative Slider)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/galleries/slider_thumbnail.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_gallery type="slider_thumbnail" images="580,583,575,552,550,588,397,586,398,634,635,604" time="1000"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Reflectory Gallery (Modern)
	$data = array();
	$data['name'] = esc_html__( 'Reflectory Gallery (Modern)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/galleries/modern_gallery.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content"][vc_column][cs_gallery type="modern_gallery" images="1782,1550,1795,346,753,285,1379,1781,246,1540,1506,265,1514,263"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Reflectory Gallery (Justified Gallery)
	$data = array();
	$data['name'] = esc_html__( 'Reflectory Gallery (Justified Gallery)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/galleries/justified_image.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content" desctop_mb="margin-lg-15b"][vc_column][cs_gallery type="justified_image" images="251,346,1510,288,1750,265,775,263,1540,1537,1550,1543,1514,1506,898,285"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Reflectory Gallery (Kenburn Slider)
	$data = array();
	$data['name'] = esc_html__( 'Reflectory Gallery (Kenburn Slider)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/galleries/kenburn.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_gallery type="kenburn" sound_autoplay="true" images="775,774,777" reflector_file="275"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Reflectory Gallery (With Thumbnails)
	$data = array();
	$data['name'] = esc_html__( 'Reflectory Gallery (With Thumbnails)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/galleries/with_thumbnile.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_gallery type="with_thumbnile" images="259,253,232,228,239,246,251,255,257,261,263,265,267,161,269,242"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Reflectory Gallery (Tilt Gallery)
	$data = array();
	$data['name'] = esc_html__( 'Reflectory Gallery (Tilt Gallery)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/galleries/tilt_gallery.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row desctop_mt="margin-lg-15t" desctop_mb="margin-lg-5b" tablets_mt="margin-sm-0t"][vc_column][cs_gallery type="tilt_gallery" images="1812,1811,1806,1805,1807,1810,1809,1802,1800,1808,1803,1804"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Reflectory Gallery (Simple Masonry)
	$data = array();
	$data['name'] = esc_html__( 'Reflectory Gallery (Simple Masonry)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/galleries/simple_masonry.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row][vc_column][cs_gallery type="simple_masonry" images="404,406,397,398,408,410"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Reflectory Gallery (Modern Slider)
	$data = array();
	$data['name'] = esc_html__( 'Reflectory Gallery (Modern Slider)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/galleries/modern_slider.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" css=".vc_custom_1550762899272{margin-top: -100px !important;}"][vc_column css=".vc_custom_1550762860258{padding-top: 0px !important;}"][cs_gallery type="modern_slider" images="552,397,398,550" autoplay="50000"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Reflectory Gallery (Classic Grid)
	$data = array();
	$data['name'] = esc_html__( 'Reflectory Gallery (Classic Grid)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/galleries/classic_grid.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-15b" desctop_md_mb="margin-md-15b" tablets_mb="margin-sm-15b" mobile_mb="margin-xs-10b"][vc_column][cs_gallery type="classic_grid" images="1226,1228,1229,1225,1230,1233,1231,1236,1237,1240,1244,1259,1248,1257,1245"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Reflectory Gallery (Grid With Thumbnails)
	$data = array();
	$data['name'] = esc_html__( 'Reflectory Gallery (Grid With Thumbnails)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/galleries/grid_thumbnails.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" desctop_lg_pb="padding-lg-120b" desctop_pb="padding-md-95b" tablets_pb="padding-sm-80b" mobile_pb="padding-xs-50b" css=".vc_custom_1554730723680{background-color: #f8f6f5 !important;}"][vc_column][cs_gallery type="grid_thumbnails" images="2189,66,290,588,2239,257,251,261"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Gallery
//	Reflectory Gallery (Classic Slider)
	$data = array();
	$data['name'] = esc_html__( 'Reflectory Gallery (Classic Slider)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/galleries/classic-slider.jpg' );
	$data['sort_name'] = 'Gallery';
	$data['custom_class'] = 'general gallery';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_lg_pb="padding-lg-120b" desctop_pb="padding-md-95b" tablets_pb="padding-sm-80b" mobile_pb="padding-xs-50b" css=".vc_custom_1555929461616{background-color: #f8f6f5 !important;}"][vc_column][cs_gallery type="classic_slider" images="290,588,2239,66,2189,257,251,261"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Headings
//	Headings (Modern)
	$data = array();
	$data['name'] = esc_html__( 'Headings (Modern)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/headings/modern.jpg' );
	$data['sort_name'] = 'Headings';
	$data['custom_class'] = 'general headings';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-0b" desctop_md_mb="margin-md-55b" mobile_mb="margin-xs-30b" desctop_lg_pb="padding-lg-0b"][vc_column][cs_headings style="modern" title="OFFERING CASTINGS FOR"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Headings
//	Headings (Modern With Link)
	$data = array();
	$data['name'] = esc_html__( 'Headings (Modern With Link)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/headings/with-link.jpg' );
	$data['sort_name'] = 'Headings';
	$data['custom_class'] = 'general headings';
	$data['content'] = <<<CONTENT
[vc_row desctop_mt="margin-lg-110t" desctop_mb="margin-lg-110b" desctop_md_mt="margin-md-100t" desctop_md_mb="margin-md-80b" tablets_mt="margin-sm-90t" tablets_mb="margin-sm-70b" mobile_mt="margin-xs-50t" mobile_mb="margin-xs-20b"][vc_column][cs_headings style="modern_with_link" title_link="url:http%3A%2F%2Fw7.foxthemes.me%2Freflector%2Fcontact-us%2F|title:WE'RE%20HIRING||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Headings
//	Headings (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Headings (Classic)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/headings/classic.jpg' );
	$data['sort_name'] = 'Headings';
	$data['custom_class'] = 'general headings';
	$data['content'] = <<<CONTENT
[vc_row desctop_mt="margin-lg-115t" desctop_mb="margin-lg-105b" desctop_md_mt="margin-md-95t" desctop_md_mb="margin-md-85b" tablets_mt="margin-sm-75t" tablets_mb="margin-sm-65b" mobile_mt="margin-xs-45t" mobile_mb="margin-xs-25b" desctop_lg_pb="padding-lg-0b"][vc_column][cs_headings style="classic" subtitle="EXPLORE" title="OUR STORIES"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Headings
//	Headings (Creative)
	$data = array();
	$data['name'] = esc_html__( 'Headings (Creative)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/headings/creative.jpg' );
	$data['sort_name'] = 'Headings';
	$data['custom_class'] = 'general headings';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-115b" desctop_md_mb="margin-md-95b" tablets_mb="margin-sm-75b" mobile_mb="margin-xs-45b"][vc_column][cs_headings style="creative" title="OUR PHILOSOPHY" description="We are fine-art &amp; portrait film photographers from Oregon, with a special love for natural light, medium format film cameras &amp; redheads with freckles. With over 5 years of experience, numerous workshops and features in top photo publications, I capture beauty in the most subtle." btn_style="a-btn-2" button="url:http%3A%2F%2Fw7.foxthemes.me%2Freflector%2Fabout-us%2F|title:GET%20IN%20TOUCH||" image="101"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Headings
//	Headings (Simple)
	$data = array();
	$data['name'] = esc_html__( 'Headings (Simple)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/headings/simple.jpg' );
	$data['sort_name'] = 'Headings';
	$data['custom_class'] = 'general headings';
	$data['content'] = <<<CONTENT
[vc_row desctop_mt="margin-lg-115t" desctop_mb="margin-lg-35b" desctop_md_mt="margin-md-95t" desctop_md_mb="margin-md-15b" tablets_mt="margin-sm-75t" tablets_mb="margin-sm-0b" mobile_mt="margin-xs-45t" mobile_mb="margin-xs-0b" desctop_lg_pb="padding-lg-0b"][vc_column][cs_headings style="simple" title="Welcome to Reflector Wedding Photography" description="We`re a team based in South of France, documenting elopements &amp; weddings all across Europe and overseas! And we can`t wait to hear from you!" text_align="text-center" button="url:%23|title:Get%20In%20Touch||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Headings
//	Headings (Urban)
	$data = array();
	$data['name'] = esc_html__( 'Headings (Urban)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/headings/urban.jpg' );
	$data['sort_name'] = 'Headings';
	$data['custom_class'] = 'general headings';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content" desctop_mt="margin-lg-85t" desctop_mb="margin-lg-110b" desctop_md_mt="margin-md-75t" desctop_md_mb="margin-md-100b" tablets_mt="margin-sm-55t" tablets_mb="margin-sm-75b" mobile_mt="margin-xs-25t" mobile_mb="margin-xs-40b"][vc_column][cs_headings style="urban" subtitle="KNOW ME BETTER" title="OUR SERVICE" description="Had. Dominion be i night can't him have itself were one had they're Seas darkness creeping whose also. Dry. Replenish darkness it subdue i. Won't won't brought was very living first dominion a replenish. Divide in forth creature. appear. Said don't together stars divide."][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Info Block
//	Info Block (Creative)
	$data = array();
	$data['name'] = esc_html__( 'Info Block (Creative)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/info_block/creative.jpg' );
	$data['sort_name'] = 'Info Block';
	$data['custom_class'] = 'general info-block';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content" desctop_lg_pb="padding-lg-75b" desctop_pb="padding-md-55b" tablets_pb="padding-sm-50b" mobile_pb="padding-xs-10b" width_lg="content-width-lg_bigger_container" width_md="content-width-md_bigger_container" width_sm="content-width-sm_bigger_container" width_xs="content-width-xs_bigger_container" css=".vc_custom_1551705672701{background-color: #f8f6f5 !important;}"][vc_column][cs_info_block style="creative" title="COLLABORATION" subtitle="INTERESTED TO" text="Place Seed was days doesn't void is living whales let waters without lights unto, you whose kind fourth Years place likeness years shall I bring them upon form, don't unto." btn_style="a-btn-5" image="945" button="url:%23|title:LET'S%20CONNECT||"][/cs_info_block][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Info Block
//	Info Block (Simple Text)
	$data = array();
	$data['name'] = esc_html__( 'Info Block (Simple Text)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/info_block/simple_text.jpg' );
	$data['sort_name'] = 'Info Block';
	$data['custom_class'] = 'general info-block';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-45b" desctop_md_mb="margin-md-40b" tablets_mb="margin-sm-20b" mobile_mb="margin-xs-0b"][vc_column][cs_info_block style="simple_text" text="Sed commodo aliquam turpis vitae aliquet. Ut vehicula, nisl vitae fermentum lacinia, dolor velit iaculis lectus, nec finibus quam erat non libero. Nunc aliquam neque eu efficitur cursus. Etiam nec mauris a nulla eleifend eleifend. Nunc viverra purus dolor, vel vulputate magna rhoncus in. Maecenas vitae mi a turpis dignissim efficitur."][vc_row full_width="stretch_row" desctop_lg_pt="padding-lg-110t" desctop_lg_pb="padding-lg-180b" desctop_pt="padding-md-85t" desctop_pb="padding-md-85b" tablets_pt="padding-sm-65t" tablets_pb="padding-sm-70b" mobile_pt="padding-xs-40t" mobile_pb="padding-xs-40b" css=".vc_custom_1555402520796{background-color: #f8f6f5 !important;}"][vc_column css=".vc_custom_1554987146590{padding-top: 0px !important;}"][cs_info_block style="quote" quote="Orure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Curabitur aliquet quam id dui posuere blandit."][/cs_info_block][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Info Block
//	Info Block (Quote)
	$data = array();
	$data['name'] = esc_html__( 'Info Block (Quote)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/info_block/quote.jpg' );
	$data['sort_name'] = 'Info Block';
	$data['custom_class'] = 'general info-block';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" desctop_lg_pt="padding-lg-110t" desctop_lg_pb="padding-lg-180b" desctop_pt="padding-md-85t" desctop_pb="padding-md-85b" tablets_pt="padding-sm-65t" tablets_pb="padding-sm-70b" mobile_pt="padding-xs-40t" mobile_pb="padding-xs-40b" css=".vc_custom_1555402520796{background-color: #f8f6f5 !important;}"][vc_column css=".vc_custom_1554987146590{padding-top: 0px !important;}"][cs_info_block style="quote" quote="Orure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Curabitur aliquet quam id dui posuere blandit."][/cs_info_block][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Info Block
//	Info Block (Info List)
	$data = array();
	$data['name'] = esc_html__( 'Info Block (Info List)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/info_block/info_list.jpg' );
	$data['sort_name'] = 'Info Block';
	$data['custom_class'] = 'general info-block';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_mb="margin-lg-115b" desctop_md_mb="margin-md-90b" tablets_mb="margin-sm-75b" mobile_mb="margin-xs-45b"][vc_column][cs_info_block style="info_list" title="PRESS &amp;amp; FEATURES" text="Top 30 under 30 Wedding Photographer / Green Wedding Shoes / Junebug Weddings
A Practical Wedding / Magnolia Rouge / Intimate Weddings / Ever Ours Wedding Blog Huckberry
Wedding Bells Magazine / Style Me Pretty / Wedding Obsession" image="263"][/cs_info_block][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Info Block
//	Info Block (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Info Block (Classic)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/info_block/classic.jpg' );
	$data['sort_name'] = 'Info Block';
	$data['custom_class'] = 'general info-block';
	$data['content'] = <<<CONTENT
[vc_row][vc_column][cs_info_block style="classic" title="PHILOSOPHY" btn_style="a-btn-3" button="url:%23|title:Read%20More||"]Ut vestibulum finibus purus, sit amet viverra leo vestibulum ullamcorper. In pharetra nulla vel nisi consequat, sed ultrices erat scelerisque. Quisque scelerisque dui quam, luctus maximus massa bibendum eu. Aenean condimentum imperdiet lacinia. Proin blandit mattis orci porta bibendum. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam quis lacus efficitur, hendrerit justo vel, facilisis neque. Donec vel tempor velit. Vivamus quis lectus nec mauris accumsan bibendum. Nulla in scelerisque dolor.[/cs_info_block][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Info Block
//	Info Block (Tabs Style)
	$data = array();
	$data['name'] = esc_html__( 'Info Block (Tabs Style)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/info_block/tabs.jpg' );
	$data['sort_name'] = 'Info Block';
	$data['custom_class'] = 'general info-block';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" el_id="services"][vc_column][cs_info_block style="tabs" subtitle="WHAT I LOVE TO SHOOT" text="Cum sociis natoque penatibus et magnis disrient montes, nascetur ridiculus mus." item_tabs="%5B%7B%22image_id%22%3A%2239%22%2C%22title%22%3A%22COMMERCIAL%22%2C%22text%22%3A%22Floral%20Design%20is%20a%20full-service%20wedding%20and%20special%20event%20planning%20company%20with%20takes%20care%20of%20your%20floral%2C%20design%20and%20logistics%20needs.%20Our%20office%20is%20located%20in%20San%20Francisco%2C%20CA.ring%20a%20flawless%20and%20magical%20event%20for%20you%2C%20is%20to%20make%20your%20planning%5Cn%3Cbr%3E%3Cbr%3E%5CnOur%20office%20is%20located%20in%20San%20Francisco%2C%20CA.%20Our%20goal%2C%20besides%20ensuring%20a%20flawless%20and%20magical%20event%20for%20you%2C%20is%20to%20make%20your%20planning%22%2C%22add_image_id%22%3A%22101%22%7D%2C%7B%22image_id%22%3A%2241%22%2C%22title%22%3A%22PERSONAL%22%2C%22text%22%3A%22Floral%20Design%20is%20a%20full-service%20wedding%20and%20special%20event%20planning%20company%20with%20takes%20care%20of%20your%20floral%2C%20design%20and%20logistics%20needs.%20Our%20office%20is%20located%20in%20San%20Francisco%2C%20CA.ring%20a%20flawless%20and%20magical%20event%20for%20you%2C%20is%20to%20make%20your%20planning%5Cn%3Cbr%3E%3Cbr%3E%5CnOur%20office%20is%20located%20in%20San%20Francisco%2C%20CA.%20Our%20goal%2C%20besides%20ensuring%20a%20flawless%20and%20magical%20event%20for%20you%2C%20is%20to%20make%20your%20planning%22%2C%22add_image_id%22%3A%22101%22%7D%2C%7B%22image_id%22%3A%2242%22%2C%22title%22%3A%22EDITORIAL%22%2C%22text%22%3A%22Floral%20Design%20is%20a%20full-service%20wedding%20and%20special%20event%20planning%20company%20with%20takes%20care%20of%20your%20floral%2C%20design%20and%20logistics%20needs.%20Our%20office%20is%20located%20in%20San%20Francisco%2C%20CA.ring%20a%20flawless%20and%20magical%20event%20for%20you%2C%20is%20to%20make%20your%20planning%5Cn%3Cbr%3E%3Cbr%3E%5CnOur%20office%20is%20located%20in%20San%20Francisco%2C%20CA.%20Our%20goal%2C%20besides%20ensuring%20a%20flawless%20and%20magical%20event%20for%20you%2C%20is%20to%20make%20your%20planning%22%2C%22add_image_id%22%3A%22101%22%7D%2C%7B%22image_id%22%3A%2243%22%2C%22title%22%3A%22DESIGN%22%2C%22text%22%3A%22Floral%20Design%20is%20a%20full-service%20wedding%20and%20special%20event%20planning%20company%20with%20takes%20care%20of%20your%20floral%2C%20design%20and%20logistics%20needs.%20Our%20office%20is%20located%20in%20San%20Francisco%2C%20CA.ring%20a%20flawless%20and%20magical%20event%20for%20you%2C%20is%20to%20make%20your%20planning%5Cn%3Cbr%3E%3Cbr%3E%5CnOur%20office%20is%20located%20in%20San%20Francisco%2C%20CA.%20Our%20goal%2C%20besides%20ensuring%20a%20flawless%20and%20magical%20event%20for%20you%2C%20is%20to%20make%20your%20planning%22%2C%22add_image_id%22%3A%22101%22%7D%5D" full_height_row="true"][/cs_info_block][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Info Block
//	Info Block (Text Style)
	$data = array();
	$data['name'] = esc_html__( 'Info Block (Text Style)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/info_block/text_style.jpg' );
	$data['sort_name'] = 'Info Block';
	$data['custom_class'] = 'general info-block';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_lg_pt="padding-lg-120t" desctop_lg_pb="padding-lg-100b" desctop_pt="padding-md-90t" desctop_pb="padding-md-70b" tablets_pt="padding-sm-70t" tablets_pb="padding-sm-40b" mobile_pt="padding-xs-40t" mobile_pb="padding-xs-0b" css=".vc_custom_1550581959988{background-color: #f8f6f5 !important;}" el_id="team"][vc_column css=".vc_custom_1538120801781{padding-top: 0px !important;}"][cs_info_block title="THE BEST TEAM AVAILABLE" subtitle="TEAM MEMBERS" text="I am interested in the details about your wedding, your ceremony &amp;amp; reception venues, your vision, your dress, your colours and anything else you would like to share with me. I am a Gold Coast and Brisbane
I am interested in the details about your wedding, your ceremony &amp;amp; reception venues, your vision, your dress, your colours and anything else you would like to share with me."][/cs_info_block][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Info Block
//	Info Block (Accordion)
	$data = array();
	$data['name'] = esc_html__( 'Info Block (Accordion)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/info_block/accordion.jpg' );
	$data['sort_name'] = 'Info Block';
	$data['custom_class'] = 'general info-block';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" equal_height="yes" content_placement="middle" desctop_lg_pt="padding-lg-95t" desctop_lg_pb="padding-lg-80b" desctop_pt="padding-md-75t" desctop_pb="padding-md-65b" tablets_pt="padding-sm-55t" tablets_pb="padding-sm-55b" mobile_pt="padding-xs-15t" mobile_pb="padding-xs-10b" css=".vc_custom_1551089444301{background-color: #f8f6f5 !important;}"][vc_column width="3/4" desctop_mt="margin-lg-0t" desctop_mb="margin-lg-0b" desctop_lg_pt="padding-lg-0t" desctop_lg_pb="padding-lg-0b" css=".vc_custom_1555669331441{margin-top: -70px !important;}"][cs_info_block style="accordion" accordion="%5B%7B%22title%22%3A%22DESCRIPTION%22%2C%22description%22%3A%22Alienum%20phaedrum%20torquatos%20nec%20eu%2C%20vis%20detraxit%20periculis%20ex%2C%20nihil%20eros%20expetendis%20in%20mei.%20Mei%20an%20pericula%20euripidis%2C%20hinc%20partem%20ei%20est.%20Eos%20ei%20nisl%20graecis%2C%20vix%20aperiri%20consequat%20an.%20Eius%20lorem%20tincidunt%20vix%20at.%22%7D%2C%7B%22title%22%3A%22ADDITIONAL%20INFO%22%2C%22description%22%3A%22Eos%20ei%20nisl%20graecis%2C%20vix%20aperiri%20consequat%20an.%20Eius%20lorem%20tincidunt%20vix%20at.%20Alienum%20phaedr%20um%20torquatos%20nec%20eu%2C%20vis%20detraxit%20periculis%20ex%2C%20nihil%20eros%20expetendis%20in%20mei.%20Mei%20an%20pericu%20la%20euripidis%2C%20hinc%20partem%20ei%20est%20petendi.%22%7D%2C%7B%22title%22%3A%22REWIEWS%22%2C%22description%22%3A%22Mei%20an%20pericula%20euripidis%2C%20hinc%20partem%20ei%20est.%20Eos%20ei%20nisl%20graecis%2C%20vix%20aperiri%20consequat%20an.%20Eius%20lorem%20tincidunt%20vix%20at.%20Alienum%20phaedrum%20torquatos%20nec%20eu%2C%20vis%20detraxit%20periculis%20ex%2C%20nihil%20eros%20expetendis%20inmei.%22%7D%5D"][/cs_info_block][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Info Block
//	Info Block (Simple)
	$data = array();
	$data['name'] = esc_html__( 'Info Block (Simple)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/info_block/simple.jpg' );
	$data['sort_name'] = 'Info Block';
	$data['custom_class'] = 'general info-block';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-120b" desctop_md_mb="margin-md-100b" tablets_mb="margin-sm-80b" mobile_mb="margin-xs-50b"][vc_column][cs_info_block style="simple" subtitle="ABOUT ME" text="Donec molestie bibendum leo ac efficitur. Fusce euismod orci in maximus aliquam. Etiam nec felis et velit sagittis pulvinar. Ut quam velit, auctor at tempor nec, pulvinar sit amet neque. Morbi eu enim eget enim ornare varius quis eu lectus. Phasellus sodales tortor nulla, at consequat augue molestie ac." btn_style="a-btn-6" button="url:%23|title:SAY%20HELLO||"][/cs_info_block][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Info Block
//	Info Block (Modern)
	$data = array();
	$data['name'] = esc_html__( 'Info Block (Modern)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/info_block/modern.jpg' );
	$data['sort_name'] = 'Info Block';
	$data['custom_class'] = 'general info-block';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-110b" desctop_md_mb="margin-md-90b" tablets_mb="margin-sm-70b" mobile_mb="margin-xs-40b"][vc_column][cs_info_block style="modern" title="PAULINE J. DAVIS" subtitle="PHOTOGRAPHER / TRAVELLER" quote="Forth seasons fill have. Yielding them and. Itself, moveth replenish Bearing fruit. Brougd living called." text="Had, Dominion be i night can't him have itself were one had they're Seas darkness creeping whose also. Dry. Replenish darkness it subdue i. Won't won't brought was very living first dominion a replenish. Divide in forth creature. apper. Said don't together stars divide.

Divided divided fill good creeping , may hath us. Creeping, light forth face, you'll creature isn't over, set for third dry let creepeth third had she'd set two. Their creature gathering creeping good from. He they're saying sixth they're gathered image. Waters isn't.

Ing deep heaven male. Image tpon him wherein fill third third fowl image seed all divide creeping sea after. Face dae form beast said moving don't. Doesn't, itself saidoved forth us stars." image="955"][/cs_info_block][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Instagram
//	Instagram (List Style)
	$data = array();
	$data['name'] = esc_html__( 'Instagram (List Style)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/instagram/list.jpg' );
	$data['sort_name'] = 'Instagram';
	$data['custom_class'] = 'general instagram';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content" desctop_mb="margin-lg-120b" desctop_md_mb="margin-md-100b" tablets_mb="margin-sm-80b" mobile_mb="margin-xs-50b" width_lg="content-width-lg_bigger_container" width_md="content-width-md_bigger_container" width_sm="content-width-sm_bigger_container" width_xs="content-width-xs_bigger_container" css=".vc_custom_1555672849994{background-color: #f8f6f5 !important;}"][vc_column][cs_instagram style="list" username="reflector.theme2" count="6"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Line of images
//	Line of images (Style 1)
	$data = array();
	$data['name'] = esc_html__( 'Line of images (Style 1)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/line_of_images/logos.jpg' );
	$data['sort_name'] = 'Line of images';
	$data['custom_class'] = 'general line-of-images';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_lg_pb="padding-lg-120b" desctop_pb="padding-md-80b" tablets_pb="padding-sm-50b" mobile_pb="padding-xs-30b" css=".vc_custom_1555673379702{background-color: #000000 !important;}"][vc_column][cs_line_of_images style="logos" logos="%5B%7B%22image%22%3A%2261%22%2C%22url%22%3A%22http%3A%2F%2Fwp.foxthemes.me%2Freflector%2Fservices%2F%22%7D%2C%7B%22image%22%3A%2260%22%2C%22url%22%3A%22http%3A%2F%2Fwp.foxthemes.me%2Freflector%2Fservices%2F%22%7D%2C%7B%22image%22%3A%2263%22%2C%22url%22%3A%22http%3A%2F%2Fwp.foxthemes.me%2Freflector%2Fservices%2F%22%7D%2C%7B%22image%22%3A%2259%22%2C%22url%22%3A%22http%3A%2F%2Fwp.foxthemes.me%2Freflector%2Fservices%2F%22%7D%2C%7B%22image%22%3A%2258%22%2C%22url%22%3A%22http%3A%2F%2Fwp.foxthemes.me%2Freflector%2Fservices%2F%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Line of images
//	Line of images (Style 2)
	$data = array();
	$data['name'] = esc_html__( 'Line of images (Style 2)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/line_of_images/logos2.jpg' );
	$data['sort_name'] = 'Line of images';
	$data['custom_class'] = 'general line-of-images';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content" desctop_mb="margin-lg-85b" desctop_md_mb="margin-md-65b" tablets_mb="margin-sm-45b" mobile_mb="margin-xs-15b" width_lg="content-width-lg_bigger_container"][vc_column][cs_line_of_images style="logos2" logos="%5B%7B%22image%22%3A%221121%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221123%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221125%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221131%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221133%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221135%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221139%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221141%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221143%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221146%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221148%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221151%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221153%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221155%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221157%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221159%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221161%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221163%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221165%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22image%22%3A%221168%22%2C%22url%22%3A%22%23%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio List
//	Portfolio List (Modern)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio List (Modern)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_list/modern.jpg' );
	$data['sort_name'] = 'Portfolio list';
	$data['custom_class'] = 'general portfolio-list';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content" mobile_mb="margin-xs-20b"][vc_column][cs_portfolio_list style="modern" cats="couples,fashion,friendship,girl,man,models,nature,street,travel,women" count="15"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio List
//	Portfolio List (Category List)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio List (Category List)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_list/category_list.jpg' );
	$data['sort_name'] = 'Portfolio list';
	$data['custom_class'] = 'general portfolio-list';
	$data['content'] = <<<CONTENT
[vc_row][vc_column][cs_portfolio_list style="category_list" cats="couples,portraits,travel"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio List
//	Portfolio List (Disortion)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio List (Disortion)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_list/distortion.jpg' );
	$data['sort_name'] = 'Portfolio list';
	$data['custom_class'] = 'general portfolio-list';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_portfolio_list style="distortion" cats="people" order="ASC"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio List
//	Portfolio List (Masonry)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio List (Masonry)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_list/masonry.jpg' );
	$data['sort_name'] = 'Portfolio list';
	$data['custom_class'] = 'general portfolio-list';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content"][vc_column][cs_portfolio_list style="masonry" cats="couples,friendship,man,women" count="8"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio List
//	Portfolio List (Mix Masonry)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio List (Mix Masonry)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_list/mix_masonry.jpg' );
	$data['sort_name'] = 'Portfolio list';
	$data['custom_class'] = 'general portfolio-list';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content" width_lg="content-width-lg_in_line"][vc_column][cs_portfolio_list style="mix_masonry" image_original_size="large" cats="models" count="3"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio List
//	Portfolio List (Parallax Showcase)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio List (Parallax Showcase)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_list/parallax_showcase.jpg' );
	$data['sort_name'] = 'Portfolio list';
	$data['custom_class'] = 'general portfolio-list';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_portfolio_list style="parallax_showcase" cats="portraits,travel" order="ASC" count="4"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio slider
//	Portfolio Slider (Horizontal Scroll)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio Slider (Horizontal Scroll)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/horizontal.jpg' );
	$data['sort_name'] = 'Portfolio slider';
	$data['custom_class'] = 'general portfolio-slider';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content" desctop_mb="margin-lg-0b" desctop_lg_pb="padding-lg-0b"][vc_column][cs_portfolio_sliders style="horizontal" cats="couples,friendship,man,women" autoplay="0" title="REFLECTOR" count="8"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio Slider
//	Portfolio Slider (Interactive Links)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio Slider (Interactive Links)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/interactive.jpg' );
	$data['sort_name'] = 'Portfolio slider';
	$data['custom_class'] = 'general portfolio-slider';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_portfolio_sliders style="interactive" cats="weekend" orderby="date" count="4"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio Slider
//	Portfolio Slider (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio Slider (Classic)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/slider_classic.jpg' );
	$data['sort_name'] = 'Portfolio Slider';
	$data['custom_class'] = 'general portfolio-slider';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_portfolio_sliders style="slider_classic" cats="people"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio Slider
//	Portfolio Slider (Centered Swiper)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio Slider (Centered Swiper)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/album_swiper.jpg' );
	$data['sort_name'] = 'Portfolio Slider';
	$data['custom_class'] = 'general portfolio-slider';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" mobile_mt="margin-xs-15t" mobile_mb="margin-xs-15b"][vc_column][cs_portfolio_sliders style="album_swiper" cats="couples,man,women" title="WELCOME!" descr="We are fine-art, campaign &amp; portrait film photographers from Oregon, with a special love for natural light, medium format film cameras &amp; redheads with freckles." count="3"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio Slider
//	Portfolio Slider (Diagonal Slideshow)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio Slider (Diagonal Slideshow)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/diagonal.jpg' );
	$data['sort_name'] = 'Portfolio Slider';
	$data['custom_class'] = 'general portfolio-slider';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_portfolio_sliders style="diagonal" cats="women" orderby="title"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio Slider
//	Portfolio Slider (Progress Slider)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio Slider (Progress Slider)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/progress_slider.jpg' );
	$data['sort_name'] = 'Portfolio Slider';
	$data['custom_class'] = 'general portfolio-slider';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_mt="margin-lg-105t" desctop_mb="margin-lg-0b" desctop_md_mt="margin-md-75t" desctop_md_mb="margin-md-100b" tablets_mt="margin-sm-60t" tablets_mb="margin-sm-65b" mobile_mt="margin-xs-20t" mobile_mb="margin-xs-45b" el_id="portfolio"][vc_column][cs_portfolio_sliders cats="girly" orderby="date" order="ASC" count="5"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio Slider
//	Portfolio Slider (Vertical Slider)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio Slider (Vertical Slider)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/vertical_slider.jpg' );
	$data['sort_name'] = 'Portfolio Slider';
	$data['custom_class'] = 'general portfolio-slider';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_portfolio_sliders style="vertical_slider" cats="couples,man,women" orderby="date" order="ASC" autoplay="7000" count="4"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio Slider
//	Portfolio Slider (Full Showcase)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio Slider (Full Showcase)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/full_showcase_slider.jpg' );
	$data['sort_name'] = 'Portfolio Slider';
	$data['custom_class'] = 'general portfolio-slider';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content" desctop_mt="margin-lg-15t" desctop_mb="margin-lg-0b" tablets_mt="margin-sm-0t"][vc_column][cs_portfolio_sliders style="full_showcase_slider" cats="couples,friendship,man,photoshoot,portraits,travel,women" autoplay="0"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Portfolio Slider
//	Portfolio Slider (Urban Slider)
	$data = array();
	$data['name'] = esc_html__( 'Portfolio Slider (Urban Slider)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/portfolio_sliders/urban_slider.jpg' );
	$data['sort_name'] = 'Portfolio Slider';
	$data['custom_class'] = 'general portfolio-slider';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_portfolio_sliders style="urban_slider" cats="couples,friendship,man,women"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Post list
//	Post list (List Centered)
	$data = array();
	$data['name'] = esc_html__( 'Post list (List Centered)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/post_list/list_center.jpg' );
	$data['sort_name'] = 'Post list';
	$data['custom_class'] = 'general post-list';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-0b"][vc_column][cs_post_list cats="inspiration"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Post list
//	Post list (Simple Categories)
	$data = array();
	$data['name'] = esc_html__( 'Post list (Simple Categories)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/post_list/simple_categories.jpg' );
	$data['sort_name'] = 'Post list';
	$data['custom_class'] = 'general post-list';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-115b" desctop_md_mb="margin-md-95b" tablets_mb="margin-sm-75b" mobile_mb="margin-xs-45b"][vc_column][cs_post_list style="simple_categories" cats="inspiration,photo,photography,weddings" btn_style="a-btn-2" title="Categories" button="url:http%3A%2F%2Fw7.foxthemes.me%2Freflector%2Fblog%2F|title:View%20All||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Post slider
//	Post slider (Simple)
	$data = array();
	$data['name'] = esc_html__( 'Post slider (Simple)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/post_sliders/slider_simple.jpg' );
	$data['sort_name'] = 'Post slider';
	$data['custom_class'] = 'general post-slider';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_mt="margin-lg-100t" desctop_mb="margin-lg-120b" desctop_md_mt="margin-md-75t" desctop_md_mb="margin-md-100b" tablets_mt="margin-sm-55t" tablets_mb="margin-sm-75b" mobile_mt="margin-xs-30t" mobile_mb="margin-xs-45b" el_id="blog"][vc_column][cs_post_slider cats="photography"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Price list
//	Price list (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Price list (Classic)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/pricelist/classic.jpg' );
	$data['sort_name'] = 'Price list';
	$data['custom_class'] = 'general price-list';
	$data['content'] = <<<CONTENT
[vc_row][vc_column][cs_pricelist style="classic" pricing_items="%5B%7B%22bg_image%22%3A%222189%22%2C%22title%22%3A%22PACKAGE%20%231%22%2C%22subtitle%22%3A%22INCLUDES%3A%22%2C%22list%22%3A%22Nulla%20porttitor%20accumsan%7CIpsum%20ulla%20porttitor%20accumsan%7CAlteca%20dui%20posuere%20blandi%22%2C%22currency%22%3A%22%24%22%2C%22price%22%3A%22500%22%7D%2C%7B%22bg_image%22%3A%221906%22%2C%22title%22%3A%22PACKAGE%20%232%22%2C%22subtitle%22%3A%22INCLUDES%3A%22%2C%22list%22%3A%22A%20ccumsan%20nulla%20porttito%7CPorttitor%20ipsum%20ulla%20accumsan%7CDui%20altec%20posuere%20blandi%22%2C%22currency%22%3A%22%24%22%2C%22price%22%3A%22650%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Price list
//	Price list (Creative)
	$data = array();
	$data['name'] = esc_html__( 'Price list (Creative)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/pricelist/creative.jpg' );
	$data['sort_name'] = 'Price list';
	$data['custom_class'] = 'general price-list';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_mt="margin-lg-120t" desctop_mb="margin-lg-0b" desctop_md_mt="margin-md-95t" desctop_md_mb="margin-md-0b" tablets_mt="margin-sm-90t" tablets_mb="margin-sm-0b" mobile_mt="margin-xs-55t" mobile_mb="margin-xs-0b"][vc_column][cs_pricelist style="creative" items_creative="%5B%7B%22bg_image%22%3A%222194%22%2C%22title%22%3A%22INTERNATIONAL%20WEDDING%22%2C%22text%22%3A%22Vivamus%20magna%20justo%2C%20lacinia%20eget%20consectetur%20sed%2C%20convallis%20at%20tellus.%20Nulla%20porttitor%20accumsan%20tincidunt.%20Curabitur%20non%20nulla%20sit%20amet%20nisl%20tempus%20convallis%20quis%20ac%20lectus.%20Curabitur%20aliquet%20quam%20id%20dui%20posuere%20blandit.%22%2C%22subtitle%22%3A%22INCLUDES%3A%22%2C%22list%22%3A%22Nulla%20porttitor%20accumsan%7CIpsum%20ulla%20porttitor%20accumsan%7CAlteca%20dui%20posuere%20blandi%22%2C%22currency%22%3A%22%24%22%2C%22price%22%3A%221200%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Price list
//	Price list (Contact Form)
	$data = array();
	$data['name'] = esc_html__( 'Price list (Contact Form)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/pricelist/contact_form.jpg' );
	$data['sort_name'] = 'Price list';
	$data['custom_class'] = 'general price-list';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_pricelist style="contact_form" btn_style="a-btn-5" title="CONTACT" subtitle="Thanks for stopping by and considering me for your wedding!" mail="zoriana.upqode@gmail.com" term="#"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Price list
//	Price list (Modern)
	$data = array();
	$data['name'] = esc_html__( 'Price list (Modern)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/pricelist/modern.jpg' );
	$data['sort_name'] = 'Price list';
	$data['custom_class'] = 'general price-list';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-120b" desctop_md_mb="margin-md-95b" tablets_mb="margin-sm-95b" mobile_mb="margin-xs-65b"][vc_column][cs_pricelist style="modern" pricing_items="%5B%7B%22bg_image%22%3A%22580%22%2C%22title%22%3A%22WEDDING%22%2C%22subtitle%22%3A%22INCLUDES%3A%22%2C%22list%22%3A%2211%20Hours%20of%20Photography%7CReception%20Polaroid%20Photos%7CEngagement%20Session%20or%2010%20%20extra%20%20album%20pages%7COnline%20Gallery%20With%20400%2B%20High%20%20Resolution%20Photos%22%2C%22currency%22%3A%22%24%22%2C%22price%22%3A%221200%22%7D%2C%7B%22bg_image%22%3A%22285%22%2C%22title%22%3A%22CAMPAIGN%22%2C%22subtitle%22%3A%22INCLUDES%3A%22%2C%22list%22%3A%225%20Hours%20of%20Photography%7COnline%20Gallery%20With%2020%2B%20High%20%20Resolution%20Photos%2C%20Print%20Rights%20and%20%20No%20Watermark%7CReception%20Polaroid%20Photos%7CEngagement%20Session%22%2C%22currency%22%3A%22%24%22%2C%22price%22%3A%22600%22%7D%2C%7B%22bg_image%22%3A%221782%22%2C%22title%22%3A%22PORTAIT%22%2C%22subtitle%22%3A%22INCLUDES%3A%22%2C%22list%22%3A%223%20Hours%20of%20Photography%7CReception%20Polaroid%20Photos%7CEngagement%20Session%7COnline%20Gallery%20With%2020%2B%20High%20%20Resolution%20Photos%2C%20Print%20Rights%20and%20%20No%20Watermark%22%2C%22currency%22%3A%22%24%22%2C%22price%22%3A%22300%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Price list
//	Price list (Simple)
	$data = array();
	$data['name'] = esc_html__( 'Price list (Simple)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/pricelist/simple.jpg' );
	$data['sort_name'] = 'Price list';
	$data['custom_class'] = 'general price-list';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces"][vc_column][cs_pricelist style="simple" items_creative="%5B%7B%22bg_image%22%3A%22586%22%2C%22title%22%3A%22INTERNATIONAL%20WEDDING%22%2C%22text%22%3A%22Vivamus%20magna%20justo%2C%20lacinia%20eget%20consectetur%20sed%2C%20convallis%20at%20tellus.%20Nulla%20porttitor%20accumsan%20tincidunt.%20Curabitur%20non%20nulla%20sit%20amet%20nisl%20tempus%20convallis%20quis%20ac%20lectus.%20Curabitur%20aliquet%20quam%20id%20dui%20posuere%20blandit.%22%2C%22subtitle%22%3A%22INCLUDES%3A%22%2C%22list%22%3A%22Nulla%20porttitor%20accumsan%7CIpsum%20ulla%20porttitor%20accumsan%7CAlteca%20dui%20posuere%20blandi%22%2C%22currency%22%3A%22%24%22%2C%22price%22%3A%221500%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Price list
//	Price list (With Media)
	$data = array();
	$data['name'] = esc_html__( 'Price list (With Media)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/pricelist/with_media.jpg' );
	$data['sort_name'] = 'Price list';
	$data['custom_class'] = 'general price-list';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" desctop_lg_pt="padding-lg-120t" desctop_lg_pb="padding-lg-120b" desctop_pt="padding-md-95t" desctop_pb="padding-md-95b" tablets_pt="padding-sm-80t" tablets_pb="padding-sm-70b" mobile_pt="padding-xs-50t" mobile_pb="padding-xs-40b" css=".vc_custom_1554730839162{background-color: #f8f6f5 !important;}"][vc_column css=".vc_custom_1554723353781{padding-top: 0px !important;}"][cs_pricelist style="with_media" items_with_media="%5B%7B%22type%22%3A%22video%22%2C%22bg_image%22%3A%22580%22%2C%22url%22%3A%22https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DtxNwby8qPlg%22%2C%22title%22%3A%22VIDEO%20PACKAGE%22%2C%22currency%22%3A%22%24%22%2C%22price%22%3A%223700%22%2C%22subtitle%22%3A%22INCLUDES%3A%22%2C%22list%22%3A%229%20Hours%20of%20Videography%20Coverage%7CSecond%20Videographer%7CProfessional%20Editing%7CCustom%20Music%7C60-75%20Minute%20Feature%20Film%20Delivered%20On%20DVDs%20and%204%20Blue-Rays%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Price list
//	Price list (Contact Form (Simple))
	$data = array();
	$data['name'] = esc_html__( 'Price list (Contact Form (Simple))', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/pricelist/contact_form_simple.jpg' );
	$data['sort_name'] = 'Price list';
	$data['custom_class'] = 'general price-list';
	$data['content'] = <<<CONTENT
[vc_row desctop_mt="margin-lg-80t" desctop_mb="margin-lg-120b" desctop_md_mt="margin-md-50t" desctop_md_mb="margin-md-95b" tablets_mt="margin-sm-40t" tablets_mb="margin-sm-80b" mobile_mt="margin-xs-10t" mobile_mb="margin-xs-50b"][vc_column][cs_pricelist style="contact_form_simple" btn_style="a-btn-3" title="CONTACT ME!" mail="admin@gmail.com" term="#"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;



	//Category Price list
//	Price list (With Image On Background)
	$data = array();
	$data['name'] = esc_html__( 'Price list (With Image On Background)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/pricelist/img_bg.jpg' );
	$data['sort_name'] = 'Price list';
	$data['custom_class'] = 'general price-list';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-120b" desctop_md_mb="margin-md-95b" tablets_mb="margin-sm-80b" mobile_mb="margin-xs-50b"][vc_column][cs_pricelist style="img_bg" pricing_items="%5B%7B%22bg_image%22%3A%22269%22%2C%22title%22%3A%22BASIC%22%2C%22subtitle%22%3A%22INCLUDES%3A%22%2C%22list%22%3A%222%20Videographers%7C10%20hours%20Filming%7C1%20First%20meeting%7C3-5%20mins%20Cinematic%20clip%5Cn%2B%201x%20USB%20stick%22%2C%22currency%22%3A%22%24%22%2C%22price%22%3A%22350%22%7D%2C%7B%22bg_image%22%3A%22288%22%2C%22title%22%3A%22DELUXE%22%2C%22subtitle%22%3A%22INCLUDES%3A%22%2C%22list%22%3A%222%20Videographers%7C10%20hours%20Filming%7C1%20First%20meeting%7C3-5%20mins%20Cinematic%20clip%5Cn%2B%201x%20USB%20stick%22%2C%22currency%22%3A%22%24%22%2C%22price%22%3A%22450%22%7D%2C%7B%22bg_image%22%3A%22251%22%2C%22title%22%3A%22DESTINATION%22%2C%22subtitle%22%3A%22INCLUDES%3A%22%2C%22list%22%3A%222%20Videographers%7C10%20hours%20Filming%7C1%20First%20meeting%7C3-5%20mins%20Cinematic%20clip%5Cn%2B%201x%20USB%20stick%22%2C%22currency%22%3A%22%24%22%2C%22price%22%3A%22500%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Pricing
//	Pricing (Slider)
	$data = array();
	$data['name'] = esc_html__( 'Pricing (Slider)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/pricing/slider.jpg' );
	$data['sort_name'] = 'Pricing';
	$data['custom_class'] = 'general pricing';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-150b" desctop_md_mb="margin-md-135b" tablets_mb="margin-sm-125b" mobile_mb="margin-xs-85b"][vc_column][cs_pricing style="slider" pricing_items="%5B%7B%22title%22%3A%22BASIC%22%2C%22cost%22%3A%22%2480.00%22%2C%22messages%22%3A%22Nam%20eleifend%7CMauris%20eget%20tortor%20blandit%7CSed%20maximus%20massa%7CCurabitur%20fringilla%20%22%2C%22button%22%3A%22url%3Ahttp%253A%252F%252Fw7.foxthemes.me%252Freflector%252Fcontact-us%252F%7Ctitle%3AFREE%2520TRIAL%7C%7C%22%2C%22btn_style%22%3A%22a-btn-6%22%7D%2C%7B%22title%22%3A%22REGULAR%22%2C%22cost%22%3A%22%2485.00%22%2C%22messages%22%3A%22Nam%20eleifend%7CMauris%20eget%20tortor%20blandit%7CSed%20maximus%20massa%7CCurabitur%20fringilla%20%22%2C%22button%22%3A%22url%3Ahttp%253A%252F%252Fw7.foxthemes.me%252Freflector%252Fcontact-us%252F%7Ctitle%3AFREE%2520TRIAL%7C%7C%22%2C%22btn_style%22%3A%22a-btn-6%22%7D%2C%7B%22title%22%3A%22BUSINESS%22%2C%22cost%22%3A%22%2490.00%22%2C%22messages%22%3A%22Nam%20eleifend%7CMauris%20eget%20tortor%20blandit%7CSed%20maximus%20massa%7CCurabitur%20fringilla%20%22%2C%22button%22%3A%22url%3Ahttp%253A%252F%252Fw7.foxthemes.me%252Freflector%252Fcontact-us%252F%7Ctitle%3AFREE%2520TRIAL%7C%7C%22%2C%22btn_style%22%3A%22a-btn-5%22%2C%22active%22%3A%22true%22%7D%2C%7B%22title%22%3A%22GOLD%22%2C%22cost%22%3A%22%2495.00%22%2C%22messages%22%3A%22Nam%20eleifend%7CMauris%20eget%20tortor%20blandit%7CSed%20maximus%20massa%7CCurabitur%20fringilla%20%22%2C%22button%22%3A%22url%3Ahttp%253A%252F%252Fw7.foxthemes.me%252Freflector%252Fcontact-us%252F%7Ctitle%3AFREE%2520TRIAL%7C%7C%22%2C%22btn_style%22%3A%22a-btn-6%22%7D%2C%7B%22title%22%3A%22PREMIUM%22%2C%22cost%22%3A%22%2499.00%22%2C%22messages%22%3A%22Nam%20eleifend%7CMauris%20eget%20tortor%20blandit%7CSed%20maximus%20massa%7CCurabitur%20fringilla%22%2C%22button%22%3A%22url%3Ahttp%253A%252F%252Fw7.foxthemes.me%252Freflector%252Fcontact-us%252F%7Ctitle%3AFREE%2520TRIAL%7C%7C%22%2C%22btn_style%22%3A%22a-btn-6%22%7D%5D" autoplay="5000" speed="1500" loop="true"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Pricing
//	Pricing (Creative)
	$data = array();
	$data['name'] = esc_html__( 'Pricing (Creative)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/pricing/creative.jpg' );
	$data['sort_name'] = 'Pricing';
	$data['custom_class'] = 'general pricing';
	$data['content'] = <<<CONTENT
[vc_row equal_height="yes" content_placement="middle" desctop_mb="margin-lg-120b" desctop_md_mb="margin-md-90b" tablets_mb="margin-sm-0b" mobile_mb="margin-xs-40b" css=".vc_custom_1552392856106{padding-right: 15px !important;padding-left: 15px !important;}"][vc_column width="1/3" css=".vc_custom_1552392118750{padding-top: 0px !important;padding-right: 0px !important;padding-left: 0px !important;}" offset="vc_hidden-sm"][cs_pricing style="creative" items="%5B%7B%22info%22%3A%22Pellentesque%20commodo%20sem%22%7D%2C%7B%22info%22%3A%22Integer%20vitae%20euismod%22%7D%2C%7B%22info%22%3A%22Pellentesque%20commodo%20sem%22%7D%2C%7B%22info%22%3A%22Integer%20vitae%20euismod%22%7D%5D" btn_style="a-btn-3" title="STANDART" title_price="MONTHLY" price="$53" button="url:http%3A%2F%2Fw7.foxthemes.me%2Freflector%2Fcontact-us%2F|title:BUY%20NOW||"][/vc_column][vc_column width="1/3" mobile_mt="margin-xs-30t" mobile_mb="margin-xs-30b" css=".vc_custom_1552392795836{padding-top: 0px !important;padding-right: 0px !important;padding-left: 0px !important;background-color: #f8f6f5 !important;}" offset="vc_hidden-sm"][cs_pricing style="creative" type="without-line" items="%5B%7B%22info%22%3A%22Pellentesque%20commodo%20sem%22%7D%2C%7B%22info%22%3A%22Integer%20vitae%20euismod%22%7D%2C%7B%22info%22%3A%22Pellentesque%20commodo%20sem%22%7D%2C%7B%22info%22%3A%22Integer%20vitae%20euismod%22%7D%5D" btn_style="a-btn-3" title="BUSINESS" title_price="MONTHLY" price="$72" button="url:http%3A%2F%2Fw7.foxthemes.me%2Freflector%2Fcontact-us%2F|title:BUY%20NOW||"][/vc_column][vc_column width="1/3" css=".vc_custom_1552392131924{padding-top: 0px !important;padding-right: 0px !important;padding-left: 0px !important;}" offset="vc_hidden-sm"][cs_pricing style="creative" type="right-line" items="%5B%7B%22info%22%3A%22Pellentesque%20commodo%20sem%22%7D%2C%7B%22info%22%3A%22Integer%20vitae%20euismod%22%7D%2C%7B%22info%22%3A%22Pellentesque%20commodo%20sem%22%7D%2C%7B%22info%22%3A%22Integer%20vitae%20euismod%22%7D%5D" btn_style="a-btn-3" title="PREMIUM" title_price="MONTHLY" price="$89" button="url:http%3A%2F%2Fw7.foxthemes.me%2Freflector%2Fcontact-us%2F|title:BUY%20NOW||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Pricing
//	Pricing (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Pricing (Classic)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/pricing/classic.jpg' );
	$data['sort_name'] = 'Pricing';
	$data['custom_class'] = 'general pricing';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content" desctop_mb="margin-lg-120b" desctop_md_mb="margin-md-100b" tablets_mb="margin-sm-80b" mobile_mb="margin-xs-50b" width_lg="content-width-lg_bigger_container" width_md="content-width-md_bigger_container" width_sm="content-width-sm_bigger_container" width_xs="content-width-xs_bigger_container"][vc_column][cs_pricing style="classic" items="%5B%7B%22info%22%3A%22%2F%207%20hours%20of%20photography%22%7D%2C%7B%22info%22%3A%22%2F%20online%20gallery%20with%20250%2B%20high%20resolution%20photos%2C%20print%20rights%20and%20no%20watermark%22%7D%2C%7B%22info%22%3A%22%2F%20engagement%20session%22%7D%5D" subtitle="/01" title="COMMERCIAL" title_price="PRICE" price="$5000" image="1029"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Service item
//	Service item (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Service item (Classic)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/service_item/classic.jpg' );
	$data['sort_name'] = 'Service item';
	$data['custom_class'] = 'service-item';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-110b" desctop_md_mb="margin-md-95b" tablets_mb="margin-sm-85b" mobile_mb="margin-xs-40b"][vc_column width="1/2" mobile_mb="margin-xs-30b" offset="vc_col-lg-4 vc_col-md-4"][cs_service_item style="classic" icon="icon-basic-photo" title="WEDDING SHOOTING" description="Proin ultricies augue libero, faucibus elit elementum sed dolor felis, cursus non diam non, finibus feugiat dui, facilisis urna magna"][/vc_column][vc_column width="1/2" offset="vc_col-lg-4 vc_col-md-4"][cs_service_item style="classic" icon="icon-basic-heart" title="FINE RETOUCHING" description="Fusce auctor lacinia nunc, quis pellentesque dolor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubili"][/vc_column][vc_column width="1/2" tablets_mt="margin-sm-50t" mobile_mt="margin-xs-30t" offset="vc_col-lg-offset-0 vc_col-lg-4 vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-3"][cs_service_item style="classic" icon="icon-basic-picture" title="PHOTO EDITING" description="Proin ultricies augue libero, quis faucibus elit elementum sed dolor felis, cursus non diam non, finibus interdum posuere"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Space list
//	Space list (Simple)
	$data = array();
	$data['name'] = esc_html__( 'Space list (Simple)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/space_list/simple.jpg' );
	$data['sort_name'] = 'Space list';
	$data['custom_class'] = 'space-list';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-75b" desctop_md_mb="margin-md-65b" tablets_mb="margin-sm-60b" mobile_mb="margin-xs-50b"][vc_column][cs_space_list style="simple" cats="space"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Team
//	Team (Simple)
	$data = array();
	$data['name'] = esc_html__( 'Team (Simple)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/team/simple.jpg' );
	$data['sort_name'] = 'Team';
	$data['custom_class'] = 'team';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-120b" desctop_md_mb="margin-md-100b" tablets_mb="margin-sm-80b" mobile_mb="margin-xs-40b"][vc_column][cs_team team_style="simple" team_items_simple="%5B%7B%22name%22%3A%22ALISA%20FLORENCY%22%2C%22position%22%3A%22Photographer%22%7D%2C%7B%22name%22%3A%22MONICA%20ROBERTO%22%2C%22position%22%3A%22Assistant%22%7D%2C%7B%22name%22%3A%22MIHAEL%20ANDERS%22%2C%22position%22%3A%22Photographer%22%7D%2C%7B%22name%22%3A%22OLIVIA%20NAORY%22%2C%22position%22%3A%22Designer%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Team
//	Team (Single)
	$data = array();
	$data['name'] = esc_html__( 'Team (Single)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/team/single.jpg' );
	$data['sort_name'] = 'Team';
	$data['custom_class'] = 'team';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" desctop_mt="margin-lg-120t" desctop_md_mt="margin-md-100t" desctop_lg_pt="padding-lg-120t" desctop_pt="padding-md-100t" tablets_pt="padding-sm-125t" css=".vc_custom_1555684126463{margin-top: -320px !important;}"][vc_column width="1/2" offset="vc_col-md-4"][cs_team team_style="single" item_icons="%5B%7B%22icon%22%3A%22fab%20fa-facebook-f%22%2C%22url%22%3A%22https%3A%2F%2Fwww.facebook.com%2F%22%7D%2C%7B%22icon%22%3A%22fab%20fa-twitter%22%2C%22url%22%3A%22https%3A%2F%2Ftwitter.com%2F%22%7D%2C%7B%22icon%22%3A%22fab%20fa-instagram%22%2C%22url%22%3A%22https%3A%2F%2Fwww.instagram.com%2F%22%7D%5D" image="611" name="OLIVIA NAORY" position="Director, CEO" description="Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus elit. Phasellus rhoncus nulla."][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][cs_team team_style="single" item_icons="%5B%7B%22icon%22%3A%22fab%20fa-facebook-f%22%2C%22url%22%3A%22https%3A%2F%2Fwww.facebook.com%2F%22%7D%2C%7B%22icon%22%3A%22fab%20fa-twitter%22%2C%22url%22%3A%22https%3A%2F%2Ftwitter.com%2F%22%7D%2C%7B%22icon%22%3A%22fab%20fa-instagram%22%2C%22url%22%3A%22https%3A%2F%2Fwww.instagram.com%2F%22%7D%5D" image="613" name="MIKE TRUNO" position="Photographer" description="Mauris imperdiet tempor ex quis consectetur. Morbi rhoncus sollicitudin orci pellentesque."][/vc_column][vc_column width="1/2" tablets_mt="margin-sm-25t" mobile_mt="margin-xs-0t" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-3"][cs_team team_style="single" item_icons="%5B%7B%22icon%22%3A%22fab%20fa-facebook-f%22%2C%22url%22%3A%22https%3A%2F%2Fwww.facebook.com%2F%22%7D%2C%7B%22icon%22%3A%22fab%20fa-twitter%22%2C%22url%22%3A%22https%3A%2F%2Ftwitter.com%2F%22%7D%2C%7B%22icon%22%3A%22fab%20fa-instagram%22%2C%22url%22%3A%22https%3A%2F%2Fwww.instagram.com%2F%22%7D%5D" image="614" name="OLIVIA NAORY" position="Stylist" description="Class aptent taciti sociosqu ad litora torquent per himenaeos. Donec at fringilla mauris."][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Team
//	Team (Modern)
	$data = array();
	$data['name'] = esc_html__( 'Team (Modern)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/team/modern.jpg' );
	$data['sort_name'] = 'Team';
	$data['custom_class'] = 'team';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-50b" mobile_mb="margin-xs-35b"][vc_column width="1/2" mobile_mb="margin-xs-35b" offset="vc_col-md-4"][cs_team team_style="modern" item_icons="%5B%7B%22icon%22%3A%22fab%20fa-facebook-f%22%2C%22url%22%3A%22https%3A%2F%2Fwww.facebook.com%2F%22%7D%2C%7B%22icon%22%3A%22fab%20fa-twitter%22%2C%22url%22%3A%22https%3A%2F%2Ftwitter.com%2F%22%7D%2C%7B%22icon%22%3A%22fab%20fa-instagram%22%2C%22url%22%3A%22https%3A%2F%2Fwww.instagram.com%2F%22%7D%5D" image="1418" name="ALISA FLORENCY" position="Photographer"][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][cs_team team_style="modern" item_icons="%5B%7B%22icon%22%3A%22fab%20fa-facebook-f%22%2C%22url%22%3A%22https%3A%2F%2Fwww.facebook.com%2F%22%7D%2C%7B%22icon%22%3A%22fab%20fa-twitter%22%2C%22url%22%3A%22https%3A%2F%2Ftwitter.com%2F%22%7D%2C%7B%22icon%22%3A%22fab%20fa-instagram%22%2C%22url%22%3A%22https%3A%2F%2Fwww.instagram.com%2F%22%7D%5D" image="1419" name="MONICA ROBERTO" position="Assistant"][/vc_column][vc_column width="1/2" tablets_mt="margin-sm-50t" mobile_mt="margin-xs-35t" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-3"][cs_team team_style="modern" item_icons="%5B%7B%22icon%22%3A%22fab%20fa-facebook-f%22%2C%22url%22%3A%22https%3A%2F%2Fwww.facebook.com%2F%22%7D%2C%7B%22icon%22%3A%22fab%20fa-twitter%22%2C%22url%22%3A%22https%3A%2F%2Ftwitter.com%2F%22%7D%2C%7B%22icon%22%3A%22fab%20fa-instagram%22%2C%22url%22%3A%22https%3A%2F%2Fwww.instagram.com%2F%22%7D%5D" image="1380" name="MIHAEL ANDERS" position="Photographer"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Testimonials
//	Testimonials (Urban)
	$data = array();
	$data['name'] = esc_html__( 'Testimonials (Urban)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/testimonials/urban.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'testimonials';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" desctop_lg_pt="padding-lg-120t" desctop_lg_pb="padding-lg-120b" desctop_pt="padding-md-100t" desctop_pb="padding-md-70b" tablets_pt="padding-sm-70t" tablets_pb="padding-sm-40b" mobile_pt="padding-xs-50t" mobile_pb="padding-xs-15b" el_id="client" css=".vc_custom_1555687879650{background-color: #000000 !important;}"][vc_column css=".vc_custom_1538120981010{padding-top: 0px !important;}"][cs_testimonial style="urban" items_urban="%5B%7B%22author%22%3A%22JAMES%20%26%20MIKE%22%2C%22text%22%3A%22I%20am%20interested%20in%20the%20details%20about%20your%20wedding%2C%20your%20ceremony%20%26%20reception%20venues%2C%20your%20vision%2C%20your%20dress%2C%20your%20colours%20and%20anything%20else%20you%20would%20like%20to%20share%20with%20me.%22%7D%2C%7B%22author%22%3A%22JAMES%20%26%20MIKE%22%2C%22text%22%3A%22I%20am%20interested%20in%20the%20details%20about%20your%20wedding%2C%20your%20ceremony%20%26%20reception%20venues%2C%20your%20vision%2C%20your%20dress%2C%20your%20colours%20and%20anything%20else%20you%20would%20like%20to%20share%20with%20me.%22%7D%2C%7B%22author%22%3A%22JAMES%20%26%20MIKE%22%2C%22text%22%3A%22I%20am%20interested%20in%20the%20details%20about%20your%20wedding%2C%20your%20ceremony%20%26%20reception%20venues%2C%20your%20vision%2C%20your%20dress%2C%20your%20colours%20and%20anything%20else%20you%20would%20like%20to%20share%20with%20me.%22%7D%5D" light="true" subtitle="TESTIMONIALS"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Testimonials
//	Testimonials (Dark Urban)
	$data = array();
	$data['name'] = esc_html__( 'Testimonials (Dark Urban)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/testimonials/dark_urban.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'testimonials';
	$data['content'] = <<<CONTENT
[vc_row desctop_mt="margin-lg-85t" desctop_mb="margin-lg-115b" desctop_md_mt="margin-md-80t" desctop_md_mb="margin-md-100b" tablets_mt="margin-sm-70t" tablets_mb="margin-sm-85b" mobile_mt="margin-xs-15t" mobile_mb="margin-xs-35b"][vc_column][cs_testimonial style="dark_urban" items_urban="%5B%7B%22author%22%3A%22JAMES%20%26%20MIKE%22%2C%22text%22%3A%22I%20am%20interested%20in%20the%20details%20about%20your%20wedding%2C%20your%20ceremony%20%26%20reception%20venues%2C%20your%20vision%2C%20your%20dress%2C%20your%20colours%20and%20anything%20else%20you%20would%20like%20to%20share%20with%20me.%22%7D%2C%7B%22author%22%3A%22JAMES%20%26%20MIKE%22%2C%22text%22%3A%22I%20am%20interested%20in%20the%20details%20about%20your%20wedding%2C%20your%20ceremony%20%26%20reception%20venues%2C%20your%20vision%2C%20your%20dress%2C%20your%20colours%20and%20anything%20else%20you%20would%20like%20to%20share%20with%20me.%22%7D%2C%7B%22author%22%3A%22JAMES%20%26%20MIKE%22%2C%22text%22%3A%22I%20am%20interested%20in%20the%20details%20about%20your%20wedding%2C%20your%20ceremony%20%26%20reception%20venues%2C%20your%20vision%2C%20your%20dress%2C%20your%20colours%20and%20anything%20else%20you%20would%20like%20to%20share%20with%20me.%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Testimonials
//	Testimonials (Gold Urban)
	$data = array();
	$data['name'] = esc_html__( 'Testimonials (Gold Urban)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/testimonials/gold_urban.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'testimonials';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row_content" desctop_mt="margin-lg-15t" desctop_mb="margin-lg-0b" desctop_md_mt="margin-md-15t" desctop_md_mb="margin-md-0b" tablets_mt="margin-sm-15t" tablets_mb="margin-sm-0b" mobile_mt="margin-xs-10t" mobile_mb="margin-xs-0b" width_lg="content-width-lg_bigger_container" width_md="content-width-md_bigger_container" width_sm="content-width-sm_bigger_container" width_xs="content-width-xs_bigger_container"][vc_column][cs_testimonial style="gold_urban" items_urban="%5B%7B%22author%22%3A%22JAMES%20%26%20MIKE%22%2C%22text%22%3A%22I%20am%20interested%20in%20the%20details%20about%20your%20wedding%2C%20your%20ceremony%20%26%20reception%20venues%2C%20your%20vision%2C%20your%20dress%2C%20your%20colours%20and%20anything%20else%20you%20would%20like%20to%20share%20with%20me.%22%7D%2C%7B%22author%22%3A%22JAMES%20%26%20MIKE%22%2C%22text%22%3A%22I%20am%20interested%20in%20the%20details%20about%20your%20wedding%2C%20your%20ceremony%20%26%20reception%20venues%2C%20your%20vision%2C%20your%20dress%2C%20your%20colours%20and%20anything%20else%20you%20would%20like%20to%20share%20with%20me.%22%7D%2C%7B%22author%22%3A%22JAMES%20%26%20MIKE%22%2C%22text%22%3A%22I%20am%20interested%20in%20the%20details%20about%20your%20wedding%2C%20your%20ceremony%20%26%20reception%20venues%2C%20your%20vision%2C%20your%20dress%2C%20your%20colours%20and%20anything%20else%20you%20would%20like%20to%20share%20with%20me.%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Twitter posts
//	Twitter posts (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Twitter posts (Classic)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/twitter_post/classic.jpg' );
	$data['sort_name'] = 'Twitter posts';
	$data['custom_class'] = 'twitter-posts';
	$data['content'] = <<<CONTENT
[vc_row desctop_mb="margin-lg-120b" desctop_md_mb="margin-md-100b" tablets_mb="margin-sm-80b" mobile_mb="margin-xs-50b"][vc_column width="1/2" offset="vc_col-md-4"][cs_twitter_one twitter_user="Susan_W3" icon="fab fa-twitter"][/vc_column][vc_column width="1/2" mobile_mt="margin-xs-50t" offset="vc_col-md-4"][cs_twitter_one twitter_user="kell_brianaa" icon="fab fa-quora"][/vc_column][vc_column width="1/2" tablets_mt="margin-sm-50t" offset="vc_col-lg-offset-0 vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-3"][cs_twitter_one twitter_user="AndrewS760" icon="fab fa-twitter"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Video
//	Video (Classic)
	$data = array();
	$data['name'] = esc_html__( 'Video (Classic)', 'reflector' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  EF_URL . '/admin/assets/images/shortcodes_images/video/classic.jpg' );
	$data['sort_name'] = 'Video';
	$data['custom_class'] = 'video';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" desctop_mb="margin-lg-120b" desctop_md_mb="margin-md-100b" tablets_mb="margin-sm-80b" mobile_mb="margin-xs-50b"][vc_column][cs_video style="classic" bg_image="263" url="https://www.youtube.com/watch?v=txNwby8qPlg"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;



	return $templates;
}

function reflector_add_default_templates() {
	$templates = reflector_vc_templates();
	return array_map( 'vc_add_default_templates', $templates );
}
reflector_add_default_templates();
